{{- if .Values.persistence.enabled -}}
{{- $fullName := include "piveau-hub-store.fullname" . -}}
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: {{ $fullName }}
  {{- if .Values.persistence.annotations }}
  annotations:
  {{ toYaml .Values.persistence.annotations | indent 4 }}
  {{- end }}
  labels:
    {{- include "piveau-hub-store.labels" . | nindent 4 }}
spec:
  accessModes:
  {{ toYaml .Values.persistence.accessModes | indent 4 }}
  {{- if .Values.persistence.storageClassName }}
  storageClassName: "{{ .Values.persistence.storageClassName }}"
  {{- end }}
  {{- if .Values.persistence.volumeMode }}
  volumeMode: "{{ .Values.persistence.volumeMode }}"
  {{- end }}
  resources:
    requests:
      storage: {{ .Values.persistence.size }}
{{- end }}
